Skip to main content
GET
/
v1
/
positions
/
history
Get historical positions
curl --request GET \
  --url https://api.anthid.com/v1/positions/history
{
  "data": [
    {
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "average_cost": {
        "integer": 123,
        "precision": 1
      },
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "quantity": 123,
      "received_at": "2023-11-07T05:31:56Z",
      "symbol": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.anthid.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

account_id
string<uuid>

Filter positions by trading account id

symbol
string

Filter positions by symbol. Symbols are normalized to uppercase

start
string<date-time>

Range start, inclusive. Defaults to 30 days before end when only end is supplied, otherwise defaults to 30 days before now

end
string<date-time>

Range end, exclusive. Defaults to the current time. Supplied ranges are rounded to minute boundaries and may not exceed 30 days

limit
integer<int32>

Maximum number of results to return. Defaults to 100 and is capped at 1000

Required range: x >= 0
next_cursor
string

Opaque keyset pagination cursor from a previous response

Response

Positions retrieved

data
object[]
required
next_cursor
string | null